@import url('https://fonts.googleapis.com/css2?family=Playfair+Display:ital,wght@0,400..900;1,400..900&display=swap');

:root {
  font-family: "Playfair Display", serif;

  --col-bg: #222;
  --col-text: #ccc;
  --col-text-faint: hsl(from var(--col-text) h s calc(l - 36));
  --col-brand: #ebbe7b;

  background-color: var(--col-bg);
  color: var(--col-text);

  font-size: 14pt;
}

body {
  box-sizing: border-box;
  padding: 2rem 0;
  margin: 0;
  width: 100vw;
  height: 100vh;

  display: flex;
  flex-direction: column;
  place-items: center;
}

main {
  max-width: 1200px;
  flex-grow: 1;

  display: flex;
  flex-direction: column;
  justify-content: center;
}

footer {
  text-align: center;
  color: var(--col-text-faint);
  font-size: 0.8rem;
}

hgroup {
  text-align: center;
}

h1 {
  font-size: 3rem;
  margin: 0;
}

a {
  text-decoration: none;
  color: var(--col-brand);
}

@media screen and (preferred-color-scheme: dark) {
  :root {
    --col-bg: white;
    --col-text: #333;
    --col-text-faint: hsl(from var(--col-text) h s calc(l + 24));
  }
}
